Package lxml :: Package tests :: Module test_elementtree

[hide private]
[frames] | no frames]

# Module test_elementtree

source code

Tests for the ElementTree API

Only test cases that apply equally well to etree and ElementTree belong here. Note that there is a second test module called test_io.py for IO related test cases.

Classes | [hide private]

| ETreeTestCaseBase
| ETreeTestCase
| ElementTreeTestCase
| CElementTreeTestCase

Functions | [hide private]

reversed(seq) | source code

test_suite() | source code

Variables | [hide private]

| this_dir = ``'``/home/sbehnel/source/Python/lxml/lxml-HEAD/src/lxm``...``
| cElementTree = `None`

Variables Details | [hide private]

### this_dir

Value:

      '/home/sbehnel/source/Python/lxml/lxml-HEAD/src/lxml/tests'